Bug 247717 - databases/pecl-redis: Fails to run: error: Undefined symbol "php_hash_bin2hex"
Summary: databases/pecl-redis: Fails to run: error: Undefined symbol "php_hash_bin2hex"
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Thomas Zander
URL: https://github.com/phpredis/phpredis/...
Keywords:
Depends on:
Blocks:
 
Reported: 2020-07-02 15:00 UTC by Juraj Lutter
Modified: 2020-07-06 07:13 UTC (History)
5 users (show)

See Also:
daniel: maintainer-feedback+
riggs: merge-quarterly+


Attachments
pecl-redis fix runtime (998 bytes, patch)
2020-07-02 15:00 UTC, Juraj Lutter
no flags Details | Diff
pecl-redis fix runtime (998 bytes, patch)
2020-07-02 15:06 UTC, Juraj Lutter
daniel: maintainer-approval-
Details | Diff
Applies 2 fixes for segfaults (2.60 KB, patch)
2020-07-03 07:02 UTC, Daniel Ylitalo
daniel: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Juraj Lutter 2020-07-02 15:00:09 UTC
Created attachment 216142 [details]
pecl-redis fix runtime

Hi,

please find the patch attached. 

It fixes the runtime error: Undefined symbol "php_hash_bin2hex"

The complete history:
https://github.com/phpredis/phpredis/issues/1796
Comment 1 Juraj Lutter 2020-07-02 15:06:26 UTC
Created attachment 216143 [details]
pecl-redis fix runtime
Comment 2 Daniel Ylitalo 2020-07-02 15:32:28 UTC
For further information this is the upstream fix/commit;
https://github.com/phpredis/phpredis/pull/1800
Comment 3 Kubilay Kocak freebsd_committer freebsd_triage 2020-07-03 02:07:42 UTC
Comment on attachment 216143 [details]
pecl-redis fix runtime

@Maintainer Please approve this patch if it passes QA and you are otherwise satisfied
Comment 4 Daniel Ylitalo 2020-07-03 07:02:25 UTC
Created attachment 216158 [details]
Applies 2 fixes for segfaults

Attaching new patch that also fixes another segfault issue.

Patch passes portlint -AC + poudriere testport

Upstream fixes;
https://github.com/phpredis/phpredis/pull/1800
https://github.com/phpredis/phpredis/pull/1804
Comment 5 commit-hook freebsd_committer 2020-07-06 06:37:27 UTC
A commit references this bug:

Author: riggs
Date: Mon Jul  6 06:37:23 UTC 2020
New revision: 541314
URL: https://svnweb.freebsd.org/changeset/ports/541314

Log:
  Fix runtime link error: Undefined symbol "php_hash_bin2hex" and segfault

  PR:		247717
  Submitted by:	juraj@lutter.sk, daniel@blodan.se (maintainer)
  Reviewed by:	daniel@blodan.se (maintainer)
  MFH:		2020Q3

Changes:
  head/databases/pecl-redis/Makefile
  head/databases/pecl-redis/files/
  head/databases/pecl-redis/files/patch-redis.c
  head/databases/pecl-redis/files/patch-redis__session.c
Comment 6 commit-hook freebsd_committer 2020-07-06 06:40:29 UTC
A commit references this bug:

Author: riggs
Date: Mon Jul  6 06:39:32 UTC 2020
New revision: 541316
URL: https://svnweb.freebsd.org/changeset/ports/541316

Log:
  MFH: r541314

  Fix runtime link error: Undefined symbol "php_hash_bin2hex" and segfault

  PR:		247717
  Submitted by:	juraj@lutter.sk, daniel@blodan.se (maintainer)
  Reviewed by:	daniel@blodan.se (maintainer)

  Approved by:	ports-secteam (riggs)

Changes:
_U  branches/2020Q3/
  branches/2020Q3/databases/pecl-redis/Makefile
  branches/2020Q3/databases/pecl-redis/files/